---
title: "Get document group info (v.2)"
url: "https://docs.signnow.com/docs/document-group/operations/get-document-group-info-v2"
type: "endpoint"
section: "document-group"
slug: "document-group/operations/get-document-group-info-v2"
method: "GET"
path: "/v2/document-groups/{document_group_id}"
operation_id: "get-document-group-info-v2"
authorization: "bearer"
---

# Get document group info (v.2)

`GET /v2/document-groups/{document_group_id}`

This endpoint allows API users to retrieve detailed information about a specific document group, including its documents, assigned roles, field and FreeForm invites, share info, owner details, and originator organization settings.

Available to the document group owner and to any user invited on any step, regardless of the current invite or step status.

**Notes**

* Use the `include` query parameter to add optional data to the response. To request several values, separate them with commas, for example `?include=documents.fields,reminder`. Unknown values are ignored.
* With `?include=documents.fields`, each item in `documents` contains a `fields` array. Without it, the response doesn't include `fields`, so existing integrations are not affected.
* The objects in `fields` have the same format as the `fields` array of [`GET /document/{document_id}`](/docs/document/operations/get-document) and cover all field types it returns.
* The response doesn't include dropdown options (`enumeration_options`) or checkbox groups (`checkbox_groups`). [`GET /document/{document_id}`](/docs/document/operations/get-document) returns them at the document level, so call it for each document that needs them.
* To add or update fields, call [`PUT /document/{document_id}`](/docs/document/operations/edit-document) for each document.

## Authorization

bearer

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `document_group_id` | string | Yes | ID of the document group. |

## Query Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `include=document_group_attributes` | string | No | If used, the response will contain document group attributes. |
| `include=reminder` | string | No | If used, the response includes `general_expiration_time`, `general_expiration_days`, and `general_reminder` — defaults applied to all recipients in the invite. |
| `include=documents.fields` | string | No | If used, each item in `documents` contains a `fields` array with the fields of that document. |
| `include=documents.freeform_invites` | string | No | If used, each item in `documents` contains a `freeform_invites` array with the FreeForm invites sent for that document. |
| `include=documents.signatures` | string | No | If used, each item in `documents` contains a `signatures` array with the signatures added to that document. |
| `include=entity_labels` | string | No | If used, the response contains `entity_labels`: the labels assigned to the document group. |
| `include=origin_dgt` | string | No | If used, the response contains `origin_dgt`: the document group template the document group was created from. |
| `include=recently_used` | string | No | If used, the response contains `recently_used`: the Unix timestamp of the last activity on the document group. |

## Responses

### 200

Successful response. Returns the document group with its documents, invites, and owner. To also return document fields, signatures, labels, the source template, or the last activity time, use the `include` query parameter.

**Example** (`Field invite`)

```json
{
  "data": {
    "id": "d6cd5f48ad2301d6b2b62453e84a4e0e3e9d1700",
    "name": "Sample document group",
    "owner": {
      "id": "570759912460bad0cdce7059b2bbbd2abc3c84b8",
      "email": "owner@email.com",
      "organization": {
        "id": "1e5ec308d0b7bb7637ee53468a49a79803871c52"
      }
    },
    "state": "pending",
    "created": 1774375376,
    "updated": 1777288567,
    "cc_emails": [],
    "documents": [
      {
        "id": "d473cdd7510d07f5c82934d3b8da92fd23c86316",
        "owner": {
          "id": "570759912460bad0cdce7059b2bbbd2abc3c84b8",
          "email": "owner@email.com"
        },
        "roles": [
          "Candidate",
          "HR manager",
          "Viewer 2",
          "Viewer 3"
        ],
        "updated": 1777288568,
        "settings": [],
        "folder_id": "ed9f287bc5e59f8dd8eb2568f2955093d05f6cee",
        "thumbnail": {
          "large": "https://api.signnow.com/document/d473cdd7510d07f5c82934d3b8da92fd23c86316/thumbnail?size=large",
          "small": "https://api.signnow.com/document/d473cdd7510d07f5c82934d3b8da92fd23c86316/thumbnail?size=small",
          "medium": "https://api.signnow.com/document/d473cdd7510d07f5c82934d3b8da92fd23c86316/thumbnail?size=medium"
        },
        "has_fields": true,
        "page_count": 1,
        "document_name": "Offerletter",
        "field_invites": [
          {
            "id": "c91ea1fc73e44ce3c6005bc39e7fcec3b144d219",
            "role": "HR manager",
            "action": "approve",
            "status": "pending",
            "created": 1777288568,
            "message": "Sample document group needs your signature.",
            "updated": 1777288568,
            "language": null,
            "compliance": {
              "cfr": null
            },
            "email_group": {
              "id": null,
              "name": null
            },
            "signer_email": "signer1@email.com",
            "signing_order": 1,
            "email_statuses": [
              {
                "status": "sent",
                "created_at": 1777288569,
                "last_reaction_at": 1777288569
              },
              {
                "status": "mail_open",
                "created_at": 1777289723,
                "last_reaction_at": 1777289723
              }
            ],
            "short_link_url": null,
            "signature_type": null,
            "expiration_days": 30,
            "expiration_time": 1779880568,
            "payment_request": null,
            "is_full_declined": false,
            "next_reminder_at": null,
            "sms_sent_statuses": [],
            "password_protected": "0",
            "signer_phone_invite": null
          },
          {
            "id": "5a7861d04272e14393eaf0ca2ad58ab62ff8061f",
            "role": "Candidate",
            "action": "sign",
            "status": "created",
            "created": 1777288568,
            "message": "Sample document group needs your signature.",
            "updated": 1777288568,
            "language": null,
            "compliance": {
              "cfr": null
            },
            "email_group": {
              "id": null,
              "name": null
            },
            "signer_email": "signer2@email.com",
            "signing_order": 2,
            "email_statuses": [],
            "short_link_url": null,
            "signature_type": null,
            "expiration_days": 30,
            "expiration_time": null,
            "payment_request": null,
            "is_full_declined": false,
            "next_reminder_at": null,
            "sms_sent_statuses": [],
            "password_protected": "0",
            "signer_phone_invite": null
          },
          {
            "id": "549928d4aaa7f9671a02dbaf06cbaf15442a7f86",
            "role": "Viewer 2",
            "action": "view",
            "status": "created",
            "created": 1777288568,
            "message": "Sample document group needs your signature.",
            "updated": 1777288568,
            "language": null,
            "compliance": {
              "cfr": null
            },
            "email_group": {
              "id": null,
              "name": null
            },
            "signer_email": "signer3@email.com",
            "signing_order": 3,
            "email_statuses": [],
            "short_link_url": null,
            "signature_type": null,
            "expiration_days": 30,
            "expiration_time": null,
            "payment_request": null,
            "is_full_declined": false,
            "next_reminder_at": null,
            "sms_sent_statuses": [],
            "password_protected": "0",
            "signer_phone_invite": null
          },
          {
            "id": "f72781cd8814e11b4058232e0107fb01606bc1b3",
            "role": "Viewer 3",
            "action": "view",
            "status": "created",
            "created": 1777288568,
            "message": "Sample document group needs your signature.",
            "updated": 1777288568,
            "language": null,
            "compliance": {
              "cfr": null
            },
            "email_group": {
              "id": null,
              "name": null
            },
            "signer_email": "signer4@email.com",
            "signing_order": 4,
            "email_statuses": [],
            "short_link_url": null,
            "signature_type": null,
            "expiration_days": 30,
            "expiration_time": null,
            "payment_request": null,
            "is_full_declined": false,
            "next_reminder_at": null,
            "sms_sent_statuses": [],
            "password_protected": "0",
            "signer_phone_invite": null
          }
        ],
        "allow_to_remove": true,
        "shared_with_team": null,
        "origin_document_id": "7cb0045bd5d446aabd178e546e7a2fcd4c4975e1",
        "has_unassigned_field": false,
        "has_credit_card_number": false
      },
      {
        "id": "d6cd5f48ad2301d6b2b62453e84a4e0e3e9d1700",
        "owner": {
          "id": "570759912460bad0cdce7059b2bbbd2abc3c84b8",
          "email": "owner@email.com"
        },
        "roles": [
          "CEO",
          "Employee",
          "HR manager",
          "Viewer 1"
        ],
        "updated": 1777288568,
        "settings": [],
        "folder_id": "ed9f287bc5e59f8dd8eb2568f2955093d05f6cee",
        "thumbnail": {
          "large": "https://api.signnow.com/document/d6cd5f48ad2301d6b2b62453e84a4e0e3e9d1700/thumbnail?size=large",
          "small": "https://api.signnow.com/document/d6cd5f48ad2301d6b2b62453e84a4e0e3e9d1700/thumbnail?size=small",
          "medium": "https://api.signnow.com/document/d6cd5f48ad2301d6b2b62453e84a4e0e3e9d1700/thumbnail?size=medium"
        },
        "has_fields": true,
        "page_count": 1,
        "document_name": "EMPLOYMENTCONTRACT",
        "field_invites": [
          {
            "id": "fb1bac88d11794ddb3dd0eae96bee680a6a6a73e",
            "role": "HR manager",
            "action": "approve",
            "status": "pending",
            "created": 1777288568,
            "message": "Sample document group needs your signature.",
            "updated": 1777288568,
            "language": null,
            "compliance": {
              "cfr": null
            },
            "email_group": {
              "id": null,
              "name": null
            },
            "signer_email": "signer1@email.com",
            "signing_order": 1,
            "email_statuses": [
              {
                "status": "sent",
                "created_at": 1777288569,
                "last_reaction_at": 1777288569
              },
              {
                "status": "mail_open",
                "created_at": 1777289723,
                "last_reaction_at": 1777289723
              }
            ],
            "short_link_url": null,
            "signature_type": null,
            "expiration_days": 30,
            "expiration_time": 1779880568,
            "payment_request": null,
            "is_full_declined": false,
            "next_reminder_at": null,
            "sms_sent_statuses": [],
            "password_protected": "0",
            "signer_phone_invite": null
          },
          {
            "id": "20e5fa559c93e95bad63f4a64d53d718566400b0",
            "role": "Viewer 1",
            "action": "view",
            "status": "created",
            "created": 1777288568,
            "message": "Sample document group needs your signature.",
            "updated": 1777288568,
            "language": null,
            "compliance": {
              "cfr": null
            },
            "email_group": {
              "id": null,
              "name": null
            },
            "signer_email": "signer3@email.com",
            "signing_order": 2,
            "email_statuses": [],
            "short_link_url": null,
            "signature_type": null,
            "expiration_days": 30,
            "expiration_time": null,
            "payment_request": null,
            "is_full_declined": false,
            "next_reminder_at": null,
            "sms_sent_statuses": [],
            "password_protected": "0",
            "signer_phone_invite": null
          },
          {
            "id": "7d18c8f296b5866bcfa4c5d737bc74675b233a25",
            "role": "CEO",
            "action": "sign",
            "status": "created",
            "created": 1777288568,
            "message": "Sample document group needs your signature.",
            "updated": 1777288568,
            "language": null,
            "compliance": {
              "cfr": null
            },
            "email_group": {
              "id": null,
              "name": null
            },
            "signer_email": "signer2@email.com",
            "signing_order": 3,
            "email_statuses": [],
            "short_link_url": null,
            "signature_type": null,
            "expiration_days": 30,
            "expiration_time": null,
            "payment_request": null,
            "is_full_declined": false,
            "next_reminder_at": null,
            "sms_sent_statuses": [],
            "password_protected": "0",
            "signer_phone_invite": null
          },
          {
            "id": "14f918246445443c6a97120294fae395762fc9da",
            "role": "Employee",
            "action": "sign",
            "status": "created",
            "created": 1777288568,
            "message": "Sample document group needs your signature.",
            "updated": 1777288568,
            "language": null,
            "compliance": {
              "cfr": null
            },
            "email_group": {
              "id": null,
              "name": null
            },
            "signer_email": "signer4@email.com",
            "signing_order": 4,
            "email_statuses": [],
            "short_link_url": null,
            "signature_type": null,
            "expiration_days": 30,
            "expiration_time": null,
            "payment_request": null,
            "is_full_declined": false,
            "next_reminder_at": null,
            "sms_sent_statuses": [],
            "password_protected": "0",
            "signer_phone_invite": null
          }
        ],
        "allow_to_remove": true,
        "shared_with_team": null,
        "origin_document_id": "2d5865bbde01c9f26e75a8c6d9800b6a301cdf22",
        "has_unassigned_field": false,
        "has_credit_card_number": false
      }
    ],
    "folder_id": "ed9f287bc5e59f8dd8eb2568f2955093d05f6cee",
    "invite_id": "c3ad976ec7e2db6434d1f678021a3c5489d59b86",
    "expires_at": 1779880568,
    "share_info": {
      "role": "owner",
      "is_team_shared": false,
      "is_personally_shared_to_others": false
    },
    "owner_email": "owner@email.com",
    "sender_name": "Sample Sender",
    "completed_at": null,
    "sender_email": "owner@email.com",
    "mail_provider": null,
    "last_invite_id": "c3ad976ec7e2db6434d1f678021a3c5489d59b86",
    "sign_as_merged": true,
    "freeform_invite": {
      "id": null,
      "last_id": null,
      "message": null
    },
    "pending_step_id": "ac970cd9495b3611d20953912cee03346edca06a",
    "general_reminder": {
      "remind_after": 3,
      "remind_before": 5,
      "remind_repeat": 7
    },
    "scheduled_invite": null,
    "general_expiration_days": 30,
    "general_expiration_time": null,
    "email_action_on_complete": null,
    "document_group_attributes": {
      "from_name": "Sample Sender",
      "from_email": "owner@email.com"
    },
    "originator_organization_settings": [
      {
        "value": "no",
        "setting": "digitally_sign_dowloaded_docs"
      },
      {
        "value": "no",
        "setting": "electronic_consent_required"
      },
      {
        "value": "0",
        "setting": "require_email_subject"
      },
      {
        "value": "0",
        "setting": "require_authentication_for_invites"
      },
      {
        "value": "https://www.signnow.com/",
        "setting": "invite_canceled_redirect_url"
      },
      {
        "value": "https://app.signnow.com/webapp/",
        "setting": "invite_completion_redirect_url"
      },
      {
        "value": "https://app.signnow.com/webapp/",
        "setting": "invite_decline_redirect_url"
      },
      {
        "value": "https://app.signnow.com/webapp/",
        "setting": "save_draft_redirect_url"
      },
      {
        "value": "0",
        "setting": "disable_branding_setup"
      },
      {
        "value": "1",
        "setting": "guide_signers_only_through_required_fields"
      },
      {
        "value": "1",
        "setting": "document_guide"
      },
      {
        "value": "0",
        "setting": "required_preset_signature_name"
      },
      {
        "value": "0",
        "setting": "require_login_for_signing"
      },
      {
        "value": "0",
        "setting": "logout_on_signing"
      },
      {
        "value": "0",
        "setting": "front_end_session_length"
      },
      {
        "value": "0",
        "setting": "add_signature_stamp_with_name"
      },
      {
        "value": "0",
        "setting": "cfr_title_21_part_11"
      },
      {
        "value": "0",
        "setting": "no_user_signature_return"
      },
      {
        "value": "0",
        "setting": "disable_email_notifications"
      },
      {
        "value": "no",
        "setting": "block_login_via_social_networks"
      },
      {
        "value": "0",
        "setting": "hide_upgrade_subscription_button"
      },
      {
        "value": "0",
        "setting": "hide_decline_to_sign_option_in_signing_session"
      },
      {
        "value": "1",
        "setting": "common_experiments"
      },
      {
        "value": "0",
        "setting": "have_merged_document_group_option"
      },
      {
        "value": "0",
        "setting": "allow_download_certificate"
      },
      {
        "value": "30",
        "setting": "invite_expiration_days"
      },
      {
        "value": "0",
        "setting": "allow_big_count_of_attachment_fields_per_document"
      },
      {
        "value": "0",
        "setting": "allow_big_attachment_file"
      },
      {
        "value": "0",
        "setting": "enable_hyperlink_field"
      },
      {
        "value": "0",
        "setting": "disable_download_action_in_editor"
      },
      {
        "value": "bottom",
        "setting": "signature_stamp_position"
      },
      {
        "value": "1",
        "setting": "save_signer_signature_and_initials"
      },
      {
        "value": "1",
        "setting": "auto_apply_signatures_and_initials_to_document_fields"
      },
      {
        "value": "0",
        "setting": "receive_signer_email_after_sent_field_invite_to_yourself"
      },
      {
        "value": "0",
        "setting": "allow_edit_document_after_signing"
      },
      {
        "value": "0",
        "setting": "enable_render_pages_in_editor_as_images"
      },
      {
        "value": "off",
        "setting": "every_signature_and_initials_field_requires_user_authentication"
      },
      {
        "value": "0",
        "setting": "enable_team_admin_move_docs"
      },
      {
        "value": "0",
        "setting": "allow_team_admin_rename_docs"
      },
      {
        "value": "0",
        "setting": "disable_email_recipients"
      },
      {
        "value": "0",
        "setting": "allow_qes"
      },
      {
        "value": "0",
        "setting": "enable_qes"
      },
      {
        "value": "0",
        "setting": "add_signers_name_to_document_history_header"
      }
    ]
  }
}
```

**Example** (`Freeform invite`)

```json
{
  "data": {
    "id": "1247cb7c03b5c347d8d1dfdcf7f2183c2016210c",
    "name": "Sample document group with freeform invite",
    "owner": {
      "id": "f72781cd8814e11b4058232e0107fb01606bc1b3",
      "email": "owner@email.com",
      "organization": {
        "id": "e092530a535246370afe2fd2a79d5b06555aa7dc"
      }
    },
    "state": "pending",
    "created": 1686312228,
    "updated": 1686312300,
    "cc_emails": [],
    "documents": [
      {
        "id": "07e35323aafcb71f4b0158682c00695e3e9d0e97",
        "owner": {
          "id": "f72781cd8814e11b4058232e0107fb01606bc1b3",
          "email": "owner@email.com"
        },
        "roles": [
          "Signer 1"
        ],
        "updated": 1686312233,
        "settings": [],
        "folder_id": null,
        "thumbnail": {
          "large": "https://api.signnow.com/document/07e35323aafcb71f4b0158682c00695e3e9d0e97/thumbnail?size=large",
          "small": "https://api.signnow.com/document/07e35323aafcb71f4b0158682c00695e3e9d0e97/thumbnail?size=small",
          "medium": "https://api.signnow.com/document/07e35323aafcb71f4b0158682c00695e3e9d0e97/thumbnail?size=medium"
        },
        "has_fields": false,
        "page_count": 1,
        "document_name": "Sample document",
        "field_invites": [],
        "allow_to_remove": true,
        "freeform_invites": [
          {
            "id": "ff7c7b3345e259cc8359d3ac01240aab2660a187",
            "email": "signer@email.com",
            "status": "pending",
            "language": null,
            "email_statuses": [
              {
                "status": "sent",
                "created_at": 1686312234,
                "last_reaction_at": 1686312234
              },
              {
                "status": "mail_open",
                "created_at": 1686398634,
                "last_reaction_at": 1686398634
              }
            ]
          }
        ],
        "shared_with_team": null,
        "origin_document_id": null,
        "has_unassigned_field": false,
        "has_credit_card_number": false
      }
    ],
    "folder_id": null,
    "invite_id": "22e8cb67851990a1d43556b5dc7c0b12cc5a98dc",
    "expires_at": null,
    "share_info": {
      "role": "owner",
      "is_team_shared": false,
      "is_personally_shared_to_others": false
    },
    "owner_email": "owner@email.com",
    "sender_name": "Sample Sender",
    "completed_at": null,
    "sender_email": "owner@email.com",
    "mail_provider": null,
    "last_invite_id": "22e8cb67851990a1d43556b5dc7c0b12cc5a98dc",
    "sign_as_merged": false,
    "freeform_invite": {
      "id": "22e8cb67851990a1d43556b5dc7c0b12cc5a98dc",
      "last_id": "22e8cb67851990a1d43556b5dc7c0b12cc5a98dc",
      "message": null
    },
    "pending_step_id": null,
    "general_reminder": null,
    "scheduled_invite": null,
    "general_expiration_days": null,
    "general_expiration_time": null,
    "email_action_on_complete": null,
    "document_group_attributes": {
      "from_name": "Sample Sender",
      "from_email": "owner@email.com"
    },
    "originator_organization_settings": []
  }
}
```

**Example** (`Signing completed`)

```json
{
  "data": {
    "id": "022ac524cdb6c0bd8b21a92596b8236bd787d719",
    "name": "Group with email_group invite",
    "owner": {
      "id": "f72781cd8814e11b4058232e0107fb01606bc1b3",
      "email": "owner@email.com",
      "organization": {
        "id": "e092530a535246370afe2fd2a79d5b06555aa7dc"
      }
    },
    "state": "completed",
    "created": 1686312228,
    "updated": 1777375000,
    "cc_emails": [],
    "documents": [
      {
        "id": "07e35323aafcb71f4b0158682c00695e3e9d0e97",
        "owner": {
          "id": "570759912460bad0cdce7059b2bbbd2abc3c84b8",
          "email": "owner@email.com"
        },
        "roles": [
          "Signer 1"
        ],
        "updated": 1777288568,
        "settings": [],
        "folder_id": "ed9f287bc5e59f8dd8eb2568f2955093d05f6cee",
        "thumbnail": {
          "large": "https://api.signnow.com/document/07e35323aafcb71f4b0158682c00695e3e9d0e97/thumbnail?size=large",
          "small": "https://api.signnow.com/document/07e35323aafcb71f4b0158682c00695e3e9d0e97/thumbnail?size=small",
          "medium": "https://api.signnow.com/document/07e35323aafcb71f4b0158682c00695e3e9d0e97/thumbnail?size=medium"
        },
        "has_fields": true,
        "page_count": 1,
        "document_name": "Sample document",
        "field_invites": [
          {
            "id": "2b8650902fc4ef7bb47566ee56e30c98b705751c",
            "role": "Signer 1",
            "action": "sign",
            "status": "fulfilled",
            "created": 1777288568,
            "message": "Sample document group needs your signature.",
            "updated": 1777288568,
            "language": null,
            "compliance": {
              "cfr": null
            },
            "email_group": {
              "id": "3e53ec51f8b7dafd6b4778fce9400df7882cf15e",
              "name": "Sample group name"
            },
            "signer_email": "signer1@email.com",
            "signing_order": 1,
            "email_statuses": [
              {
                "status": "sent",
                "created_at": 1777288569,
                "last_reaction_at": 1777288569
              },
              {
                "status": "mail_open",
                "created_at": 1777289723,
                "last_reaction_at": 1777289723
              }
            ],
            "short_link_url": null,
            "signature_type": null,
            "expiration_days": 30,
            "expiration_time": 1779880568,
            "payment_request": null,
            "is_full_declined": false,
            "next_reminder_at": null,
            "sms_sent_statuses": [],
            "password_protected": "0",
            "signer_phone_invite": null
          }
        ],
        "allow_to_remove": true,
        "shared_with_team": null,
        "origin_document_id": null,
        "has_unassigned_field": false,
        "has_credit_card_number": false
      }
    ],
    "folder_id": null,
    "invite_id": "22e8cb67851990a1d43556b5dc7c0b12cc5a98dc",
    "expires_at": null,
    "share_info": {
      "role": "owner",
      "is_team_shared": false,
      "is_personally_shared_to_others": false
    },
    "owner_email": "owner@email.com",
    "sender_name": "Sample Sender",
    "completed_at": 1777375000,
    "sender_email": "owner@email.com",
    "mail_provider": null,
    "last_invite_id": "22e8cb67851990a1d43556b5dc7c0b12cc5a98dc",
    "sign_as_merged": false,
    "freeform_invite": {
      "id": null,
      "last_id": null,
      "message": null
    },
    "pending_step_id": null,
    "general_reminder": null,
    "scheduled_invite": null,
    "general_expiration_days": null,
    "general_expiration_time": null,
    "email_action_on_complete": null,
    "document_group_attributes": {
      "from_name": "Sample Sender",
      "from_email": "owner@email.com"
    },
    "originator_organization_settings": []
  }
}
```

**Example** (`With document fields`)

```json
{
  "data": {
    "id": "49b8c482cb048ac3a548bd3b456461411dd721e6",
    "name": "Sample document group",
    "owner": {
      "id": "991090d3354da2e6f36363d61e690dcb565b155f",
      "email": "owner@email.com",
      "organization": {
        "id": "78e7f680e80e4629ae7711ce8c44a08d15374614"
      }
    },
    "state": "pending",
    "created": 1777288000,
    "updated": 1777288567,
    "cc_emails": [],
    "documents": [
      {
        "id": "f45185b6e4994847516f29d1184ba7d101801b45",
        "owner": {
          "id": "991090d3354da2e6f36363d61e690dcb565b155f",
          "email": "owner@email.com"
        },
        "roles": [
          "Signer 1",
          "Signer 2"
        ],
        "fields": [
          {
            "id": "a91eb6ffa7dec10def01e9d5c269c5ecf49a9563",
            "role": "Signer 1",
            "type": "text",
            "role_id": "0663e06d6970d7ef3cd7f4523355e7683b6562f2",
            "field_id": "a5db59b09285bed96b2250c29cee4bc7192217d9",
            "fulfiller": "signer1@email.com",
            "element_id": null,
            "originator": "owner@email.com",
            "json_attributes": {
              "x": 84,
              "y": 485,
              "bold": false,
              "font": "Arial",
              "name": "Text Field 5",
              "size": 12,
              "align": "left",
              "color": "000000",
              "width": 207,
              "height": 21,
              "italic": false,
              "valign": "top",
              "required": true,
              "font_size": 8,
              "max_chars": 0,
              "max_lines": 0,
              "underline": false,
              "arrangement": "none",
              "page_number": 0
            },
            "field_request_id": "a5db59b09285bed96b2250c29cee4bc7192217d9",
            "template_field_id": null,
            "field_request_canceled": null
          },
          {
            "id": "64ff64a8e3ff786d0f67f4241d8ea43a9c2d0a9f",
            "role": "Signer 2",
            "type": "text",
            "role_id": "3e53ec51f8b7dafd6b4778fce9400df7882cf15e",
            "field_id": "bd7703c48b60be2da15d7ee8bde4fda23f928a21",
            "fulfiller": "signer2@email.com",
            "element_id": null,
            "originator": "owner@email.com",
            "json_attributes": {
              "x": 321,
              "y": 485,
              "bold": false,
              "font": "Arial",
              "name": "Text Field 7",
              "size": 12,
              "align": "left",
              "color": "000000",
              "width": 208,
              "height": 21,
              "italic": false,
              "valign": "top",
              "required": true,
              "font_size": 8,
              "max_chars": 0,
              "max_lines": 0,
              "underline": false,
              "arrangement": "none",
              "page_number": 0
            },
            "field_request_id": "bd7703c48b60be2da15d7ee8bde4fda23f928a21",
            "template_field_id": null,
            "field_request_canceled": null
          },
          {
            "id": "cad428cf5dcdbc338494074276f16acdbc6a6963",
            "role": "Signer 1",
            "type": "signature",
            "role_id": "0663e06d6970d7ef3cd7f4523355e7683b6562f2",
            "field_id": "904301b74d245db52694991d129b7abeb1a12cb0",
            "fulfiller": "signer1@email.com",
            "element_id": null,
            "originator": "owner@email.com",
            "json_attributes": {
              "x": 83,
              "y": 444,
              "name": "Signature 1",
              "width": 208,
              "height": 25,
              "required": true,
              "page_number": 0,
              "allowed_types": [
                "type",
                "draw",
                "upload"
              ]
            },
            "field_request_id": "904301b74d245db52694991d129b7abeb1a12cb0",
            "template_field_id": null,
            "field_request_canceled": null
          },
          {
            "id": "9b4e9388d797b3c3abb274cac86e276ee0b54ce7",
            "role": "Signer 2",
            "type": "signature",
            "role_id": "3e53ec51f8b7dafd6b4778fce9400df7882cf15e",
            "field_id": "88b0b8fb41561381dd73c3becddb4dd51571236b",
            "fulfiller": "signer2@email.com",
            "element_id": null,
            "originator": "owner@email.com",
            "json_attributes": {
              "x": 321,
              "y": 444,
              "name": "Signature 3",
              "width": 208,
              "height": 24,
              "required": true,
              "page_number": 0,
              "allowed_types": [
                "type",
                "draw",
                "upload"
              ]
            },
            "field_request_id": "88b0b8fb41561381dd73c3becddb4dd51571236b",
            "template_field_id": null,
            "field_request_canceled": null
          }
        ],
        "updated": 1777288568,
        "settings": [],
        "folder_id": "d473cdd7510d07f5c82934d3b8da92fd23c86316",
        "thumbnail": {
          "large": "https://api.signnow.com/document/f45185b6e4994847516f29d1184ba7d101801b45/thumbnail?size=large",
          "small": "https://api.signnow.com/document/f45185b6e4994847516f29d1184ba7d101801b45/thumbnail?size=small",
          "medium": "https://api.signnow.com/document/f45185b6e4994847516f29d1184ba7d101801b45/thumbnail?size=medium"
        },
        "has_fields": true,
        "page_count": 1,
        "document_name": "Subcontract agreement",
        "field_invites": [
          {
            "id": "ff7c7b3345e259cc8359d3ac01240aab2660a187",
            "role": "Signer 1",
            "action": "sign",
            "status": "pending",
            "created": 1777288568,
            "message": "Sample document group needs your signature.",
            "updated": 1777288568,
            "language": null,
            "compliance": {
              "cfr": null
            },
            "email_group": {
              "id": null,
              "name": null
            },
            "signer_email": "signer1@email.com",
            "signing_order": 1,
            "email_statuses": [
              {
                "status": "sent",
                "created_at": 1777288569,
                "last_reaction_at": 1777288569
              }
            ],
            "short_link_url": null,
            "signature_type": null,
            "expiration_days": 30,
            "expiration_time": 1779880568,
            "payment_request": null,
            "is_full_declined": false,
            "next_reminder_at": null,
            "sms_sent_statuses": [],
            "password_protected": "0",
            "signer_phone_invite": null
          },
          {
            "id": "4c02ebb05064b105ceca85735f30a0bcd45a004f",
            "role": "Signer 2",
            "action": "sign",
            "status": "pending",
            "created": 1777288568,
            "message": "Sample document group needs your signature.",
            "updated": 1777288568,
            "language": null,
            "compliance": {
              "cfr": null
            },
            "email_group": {
              "id": null,
              "name": null
            },
            "signer_email": "signer2@email.com",
            "signing_order": 1,
            "email_statuses": [
              {
                "status": "sent",
                "created_at": 1777288569,
                "last_reaction_at": 1777288569
              }
            ],
            "short_link_url": null,
            "signature_type": null,
            "expiration_days": 30,
            "expiration_time": 1779880568,
            "payment_request": null,
            "is_full_declined": false,
            "next_reminder_at": null,
            "sms_sent_statuses": [],
            "password_protected": "0",
            "signer_phone_invite": null
          }
        ],
        "allow_to_remove": true,
        "shared_with_team": null,
        "origin_document_id": null,
        "has_unassigned_field": false,
        "has_credit_card_number": false
      },
      {
        "id": "839bf685e4add4c867f67fdeaff0d2d068755af9",
        "owner": {
          "id": "991090d3354da2e6f36363d61e690dcb565b155f",
          "email": "owner@email.com"
        },
        "roles": [
          "Signer 1",
          "Viewer 1"
        ],
        "fields": [
          {
            "id": "18de0cd683b6b01f7e5f3857973a50b49bda908c",
            "role": "Signer 1",
            "type": "checkbox",
            "role_id": "570759912460bad0cdce7059b2bbbd2abc3c84b8",
            "field_id": "101357f4639f90052af3424cf8340999565115a5",
            "fulfiller": "signer1@email.com",
            "element_id": null,
            "originator": "owner@email.com",
            "json_attributes": {
              "x": 253,
              "y": 687,
              "name": "Checkbox 1",
              "value": "Age 15-20",
              "width": 11,
              "height": 11,
              "required": false,
              "page_number": 0,
              "prefilled_text": "0"
            },
            "field_request_id": "101357f4639f90052af3424cf8340999565115a5",
            "template_field_id": null,
            "field_request_canceled": null
          },
          {
            "id": "1394937b78d4007067468a3b3906139a0e792cd2",
            "role": "Signer 1",
            "type": "checkbox",
            "role_id": "570759912460bad0cdce7059b2bbbd2abc3c84b8",
            "field_id": "332c617f82e98006156d5d078b681b0c44ef3ca1",
            "fulfiller": "signer1@email.com",
            "element_id": null,
            "originator": "owner@email.com",
            "json_attributes": {
              "x": 253,
              "y": 704,
              "name": "Checkbox 2",
              "value": "Age 20-30",
              "width": 11,
              "height": 11,
              "required": false,
              "page_number": 0,
              "prefilled_text": "0"
            },
            "field_request_id": "332c617f82e98006156d5d078b681b0c44ef3ca1",
            "template_field_id": null,
            "field_request_canceled": null
          },
          {
            "id": "43056aa84e069380d95681e23f61de9afa33a66f",
            "role": "Signer 1",
            "type": "checkbox",
            "role_id": "570759912460bad0cdce7059b2bbbd2abc3c84b8",
            "field_id": "c8750b17037875a9d4c1dca146d6278c282b8b1b",
            "fulfiller": "signer1@email.com",
            "element_id": null,
            "originator": "owner@email.com",
            "json_attributes": {
              "x": 253,
              "y": 720,
              "name": "Checkbox 3",
              "value": "Age 30-40",
              "width": 11,
              "height": 11,
              "required": false,
              "page_number": 0,
              "prefilled_text": "0"
            },
            "field_request_id": "c8750b17037875a9d4c1dca146d6278c282b8b1b",
            "template_field_id": null,
            "field_request_canceled": null
          },
          {
            "id": "c91ea1fc73e44ce3c6005bc39e7fcec3b144d219",
            "role": "Signer 1",
            "type": "enumeration",
            "role_id": "570759912460bad0cdce7059b2bbbd2abc3c84b8",
            "field_id": "9c9faee64810d673399d91e3625e460ffe0100df",
            "fulfiller": "signer1@email.com",
            "element_id": null,
            "originator": "owner@email.com",
            "json_attributes": {
              "x": 402,
              "y": 682,
              "bold": false,
              "font": "Arial",
              "name": "Dropdown 1",
              "size": 14,
              "align": "left",
              "color": "000000",
              "label": "Vacation type",
              "width": 103,
              "height": 12,
              "italic": false,
              "required": true,
              "font_size": 10,
              "underline": false,
              "page_number": 0,
              "custom_defined_option": ""
            },
            "field_request_id": "9c9faee64810d673399d91e3625e460ffe0100df",
            "template_field_id": null,
            "field_request_canceled": null
          },
          {
            "id": "450fa037c8b237e5648201dd39ea8a1a29924cb9",
            "role": "Signer 1",
            "type": "radiobutton",
            "radio": [
              {
                "x": 100,
                "y": 671,
                "value": "Red",
                "width": 23,
                "height": 23,
                "checked": 0,
                "created": 1777288560,
                "radio_id": "bd7703c48b60be2da15d7ee8bde4fda23f928a21",
                "page_number": 0,
                "json_attributes": []
              },
              {
                "x": 100,
                "y": 701,
                "value": "Green",
                "width": 23,
                "height": 23,
                "checked": 0,
                "created": 1777288560,
                "radio_id": "f45185b6e4994847516f29d1184ba7d101801b45",
                "page_number": 0,
                "json_attributes": []
              },
              {
                "x": 100,
                "y": 730,
                "value": "Black",
                "width": 23,
                "height": 23,
                "checked": 0,
                "created": 1777288560,
                "radio_id": "c0a67d571dccda13c93d4753c15da759edfc2bd8",
                "page_number": 0,
                "json_attributes": []
              }
            ],
            "role_id": "570759912460bad0cdce7059b2bbbd2abc3c84b8",
            "field_id": "abba4e7e7f95e32f25f438ce6080fecb5efd71f2",
            "fulfiller": "signer1@email.com",
            "element_id": null,
            "originator": "owner@email.com",
            "json_attributes": {
              "x": 100,
              "y": 671,
              "name": "Radio Group 1",
              "width": 23,
              "height": 23,
              "required": true,
              "page_number": 0
            },
            "field_request_id": "abba4e7e7f95e32f25f438ce6080fecb5efd71f2",
            "template_field_id": null,
            "field_request_canceled": null
          }
        ],
        "updated": 1777288568,
        "settings": [],
        "folder_id": "d473cdd7510d07f5c82934d3b8da92fd23c86316",
        "thumbnail": {
          "large": "https://api.signnow.com/document/839bf685e4add4c867f67fdeaff0d2d068755af9/thumbnail?size=large",
          "small": "https://api.signnow.com/document/839bf685e4add4c867f67fdeaff0d2d068755af9/thumbnail?size=small",
          "medium": "https://api.signnow.com/document/839bf685e4add4c867f67fdeaff0d2d068755af9/thumbnail?size=medium"
        },
        "has_fields": true,
        "page_count": 1,
        "document_name": "Employment agreement",
        "field_invites": [
          {
            "id": "ccb65e8240158ec2bf6e77a5e4da87c363846ebc",
            "role": "Signer 1",
            "action": "sign",
            "status": "pending",
            "created": 1777288568,
            "message": "Sample document group needs your signature.",
            "updated": 1777288568,
            "language": null,
            "compliance": {
              "cfr": null
            },
            "email_group": {
              "id": null,
              "name": null
            },
            "signer_email": "signer1@email.com",
            "signing_order": 1,
            "email_statuses": [
              {
                "status": "sent",
                "created_at": 1777288569,
                "last_reaction_at": 1777288569
              }
            ],
            "short_link_url": null,
            "signature_type": null,
            "expiration_days": 30,
            "expiration_time": 1779880568,
            "payment_request": null,
            "is_full_declined": false,
            "next_reminder_at": null,
            "sms_sent_statuses": [],
            "password_protected": "0",
            "signer_phone_invite": null
          },
          {
            "id": "e265e0bb1a34158211e5da6a43b520fda3656bbe",
            "role": "Viewer 1",
            "action": "view",
            "status": "fulfilled",
            "created": 1777288568,
            "message": "Sample document group needs your signature.",
            "updated": 1777288568,
            "language": null,
            "compliance": {
              "cfr": null
            },
            "email_group": {
              "id": null,
              "name": null
            },
            "signer_email": "signer2@email.com",
            "signing_order": 1,
            "email_statuses": [
              {
                "status": "sent",
                "created_at": 1777288569,
                "last_reaction_at": 1777288569
              }
            ],
            "short_link_url": null,
            "signature_type": null,
            "expiration_days": 30,
            "expiration_time": null,
            "payment_request": null,
            "is_full_declined": false,
            "next_reminder_at": null,
            "sms_sent_statuses": [],
            "password_protected": "0",
            "signer_phone_invite": null
          }
        ],
        "allow_to_remove": true,
        "shared_with_team": null,
        "origin_document_id": null,
        "has_unassigned_field": false,
        "has_credit_card_number": false
      }
    ],
    "folder_id": "d473cdd7510d07f5c82934d3b8da92fd23c86316",
    "invite_id": "c8750b17037875a9d4c1dca146d6278c282b8b1b",
    "expires_at": 1779880568,
    "share_info": {
      "role": "owner",
      "is_team_shared": false,
      "is_personally_shared_to_others": false
    },
    "owner_email": "owner@email.com",
    "sender_name": "",
    "completed_at": null,
    "sender_email": "owner@email.com",
    "mail_provider": null,
    "last_invite_id": "c8750b17037875a9d4c1dca146d6278c282b8b1b",
    "sign_as_merged": true,
    "freeform_invite": {
      "id": null,
      "last_id": null,
      "message": null
    },
    "pending_step_id": "c7e7346204523c1f4ee00032b79d165f49e9cab0",
    "scheduled_invite": null,
    "email_action_on_complete": null,
    "originator_organization_settings": [
      {
        "value": "1",
        "setting": "document_guide"
      },
      {
        "value": "30",
        "setting": "invite_expiration_days"
      }
    ]
  }
}
```

**Example** (`Field invite with email group`)

```json
{
  "data": {
    "id": "022ac524cdb6c0bd8b21a92596b8236bd787d719",
    "name": "Group with email_group invite",
    "owner": {
      "id": "f72781cd8814e11b4058232e0107fb01606bc1b3",
      "email": "owner@email.com",
      "organization": {
        "id": "e092530a535246370afe2fd2a79d5b06555aa7dc"
      }
    },
    "state": "pending",
    "created": 1686312228,
    "updated": 1686312300,
    "cc_emails": [],
    "documents": [
      {
        "id": "07e35323aafcb71f4b0158682c00695e3e9d0e97",
        "owner": {
          "id": "570759912460bad0cdce7059b2bbbd2abc3c84b8",
          "email": "owner@email.com"
        },
        "roles": [
          "Signer 1"
        ],
        "updated": 1777288568,
        "settings": [],
        "folder_id": "ed9f287bc5e59f8dd8eb2568f2955093d05f6cee",
        "thumbnail": {
          "large": "https://api.signnow.com/document/07e35323aafcb71f4b0158682c00695e3e9d0e97/thumbnail?size=large",
          "small": "https://api.signnow.com/document/07e35323aafcb71f4b0158682c00695e3e9d0e97/thumbnail?size=small",
          "medium": "https://api.signnow.com/document/07e35323aafcb71f4b0158682c00695e3e9d0e97/thumbnail?size=medium"
        },
        "has_fields": true,
        "page_count": 1,
        "document_name": "Sample document",
        "field_invites": [
          {
            "id": "2b8650902fc4ef7bb47566ee56e30c98b705751c",
            "role": "Signer 1",
            "action": "sign",
            "status": "pending",
            "created": 1777288568,
            "message": "Sample document group needs your signature.",
            "updated": 1777288568,
            "language": null,
            "compliance": {
              "cfr": null
            },
            "email_group": {
              "id": "3e53ec51f8b7dafd6b4778fce9400df7882cf15e",
              "name": "Sample group name"
            },
            "signer_email": "signer1@email.com",
            "signing_order": 1,
            "email_statuses": [
              {
                "status": "sent",
                "created_at": 1777288569,
                "last_reaction_at": 1777288569
              },
              {
                "status": "mail_open",
                "created_at": 1777289723,
                "last_reaction_at": 1777289723
              }
            ],
            "short_link_url": null,
            "signature_type": null,
            "expiration_days": 30,
            "expiration_time": 1779880568,
            "payment_request": null,
            "is_full_declined": false,
            "next_reminder_at": null,
            "sms_sent_statuses": [],
            "password_protected": "0",
            "signer_phone_invite": null
          }
        ],
        "allow_to_remove": true,
        "shared_with_team": null,
        "origin_document_id": null,
        "has_unassigned_field": false,
        "has_credit_card_number": false
      }
    ],
    "folder_id": null,
    "invite_id": "22e8cb67851990a1d43556b5dc7c0b12cc5a98dc",
    "expires_at": 1779880568,
    "share_info": {
      "role": "owner",
      "is_team_shared": false,
      "is_personally_shared_to_others": false
    },
    "owner_email": "owner@email.com",
    "sender_name": "Sample Sender",
    "completed_at": null,
    "sender_email": "owner@email.com",
    "mail_provider": null,
    "last_invite_id": "22e8cb67851990a1d43556b5dc7c0b12cc5a98dc",
    "sign_as_merged": false,
    "freeform_invite": {
      "id": null,
      "last_id": null,
      "message": null
    },
    "pending_step_id": "fd4a2044627234d2b0b6f9251353ba6a93e97fc4",
    "general_reminder": null,
    "scheduled_invite": null,
    "general_expiration_days": null,
    "general_expiration_time": null,
    "email_action_on_complete": null,
    "document_group_attributes": {
      "from_name": "Sample Sender",
      "from_email": "owner@email.com"
    },
    "originator_organization_settings": []
  }
}
```

**Example** (`With signatures and origin template`)

```json
{
  "data": {
    "id": "022ac524cdb6c0bd8b21a92596b8236bd787d719",
    "name": "Group with email_group invite",
    "owner": {
      "id": "f72781cd8814e11b4058232e0107fb01606bc1b3",
      "email": "owner@email.com",
      "organization": {
        "id": "e092530a535246370afe2fd2a79d5b06555aa7dc"
      }
    },
    "state": "completed",
    "created": 1686312228,
    "updated": 1777375000,
    "cc_emails": [],
    "documents": [
      {
        "id": "07e35323aafcb71f4b0158682c00695e3e9d0e97",
        "owner": {
          "id": "570759912460bad0cdce7059b2bbbd2abc3c84b8",
          "email": "owner@email.com"
        },
        "roles": [
          "Signer 1"
        ],
        "updated": 1777288568,
        "settings": [],
        "folder_id": "ed9f287bc5e59f8dd8eb2568f2955093d05f6cee",
        "thumbnail": {
          "large": "https://api.signnow.com/document/07e35323aafcb71f4b0158682c00695e3e9d0e97/thumbnail?size=large",
          "small": "https://api.signnow.com/document/07e35323aafcb71f4b0158682c00695e3e9d0e97/thumbnail?size=small",
          "medium": "https://api.signnow.com/document/07e35323aafcb71f4b0158682c00695e3e9d0e97/thumbnail?size=medium"
        },
        "has_fields": true,
        "page_count": 1,
        "signatures": [
          {
            "id": "5a7861d04272e14393eaf0ca2ad58ab62ff8061f",
            "created": "1777374900",
            "user_id": "b0757eda4bffe8d18b2d13272a76cbb0317f6007"
          }
        ],
        "document_name": "Sample document",
        "field_invites": [
          {
            "id": "2b8650902fc4ef7bb47566ee56e30c98b705751c",
            "role": "Signer 1",
            "action": "sign",
            "status": "fulfilled",
            "created": 1777288568,
            "message": "Sample document group needs your signature.",
            "updated": 1777288568,
            "language": null,
            "compliance": {
              "cfr": null
            },
            "email_group": {
              "id": "3e53ec51f8b7dafd6b4778fce9400df7882cf15e",
              "name": "Sample group name"
            },
            "signer_email": "signer1@email.com",
            "signing_order": 1,
            "email_statuses": [
              {
                "status": "sent",
                "created_at": 1777288569,
                "last_reaction_at": 1777288569
              },
              {
                "status": "mail_open",
                "created_at": 1777289723,
                "last_reaction_at": 1777289723
              }
            ],
            "short_link_url": null,
            "signature_type": null,
            "expiration_days": 30,
            "expiration_time": 1779880568,
            "payment_request": null,
            "is_full_declined": false,
            "next_reminder_at": null,
            "sms_sent_statuses": [],
            "password_protected": "0",
            "signer_phone_invite": null
          }
        ],
        "allow_to_remove": true,
        "shared_with_team": null,
        "origin_document_id": null,
        "has_unassigned_field": false,
        "has_credit_card_number": false
      }
    ],
    "folder_id": null,
    "invite_id": "22e8cb67851990a1d43556b5dc7c0b12cc5a98dc",
    "expires_at": null,
    "origin_dgt": {
      "id": "e177b430d3a00e36a3195472d1a76b6640696c05",
      "owner_id": "570759912460bad0cdce7059b2bbbd2abc3c84b8",
      "template_group_name": "Sample document group template"
    },
    "share_info": {
      "role": "owner",
      "is_team_shared": false,
      "is_personally_shared_to_others": false
    },
    "owner_email": "owner@email.com",
    "sender_name": "Sample Sender",
    "completed_at": 1777375000,
    "sender_email": "owner@email.com",
    "entity_labels": [],
    "mail_provider": null,
    "recently_used": 1777375000,
    "last_invite_id": "22e8cb67851990a1d43556b5dc7c0b12cc5a98dc",
    "sign_as_merged": false,
    "freeform_invite": {
      "id": null,
      "last_id": null,
      "message": null
    },
    "pending_step_id": null,
    "general_reminder": null,
    "scheduled_invite": null,
    "general_expiration_days": null,
    "general_expiration_time": null,
    "email_action_on_complete": null,
    "document_group_attributes": {
      "from_name": "Sample Sender",
      "from_email": "owner@email.com"
    },
    "originator_organization_settings": []
  }
}
```

### 400

* Wrong, expired, or missing token.

**Example** (`Wrong token`)

```json
{
  "code": 1537,
  "error": "invalid_token"
}
```

### 403

- Request with token that belongs to a user who is not the document group owner, was not invited to the group, and has no shared access to it.

**Example** (`Request with token that belongs to a user who is not the document group owner, was not invited to the group, and has no shared access to it`)

```json
{
  "errors": [
    {
      "message": "Access to DocumentGroup is denied"
    }
  ]
}
```

### 404

- id does not exist.
- id is not active.

**Example** (`id does not exist`)

```json
{
  "errors": [
    {
      "message": "Document group `<group id>` not found"
    }
  ]
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X GET \
  "https://api.signnow.com/v2/document-groups/{document_group_id}" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN"
```

---
*Full reference: https://docs.signnow.com/docs/document-group/operations/get-document-group-info-v2*
